Skip to main content
GET
Get Events

Authorizations

Authorization
string
header
required

Enter your API key in the format: Bearer <api_key>. Providing an API key may grant higher rate limits or access to additional features. The API will function without an API key for basic access.

Path Parameters

chain_name
enum<string>
required

The name or ID of the blockchain.

Available options:
ethereum,
apechain,
arbitrum,
avalanche,
base,
bsc,
polygon
Example:

"ethereum"

Query Parameters

contract_address
string

Contract addresses to filter by.

Pattern: ^0x[a-fA-F0-9]{40}$
Example:

"0xBC4CA0EdA7647A8aB7C2061c2E118A18a936f13D"

signatures
string[]

Comma-separated list of event signatures (topic0) to filter events by. Each item can be a 32-byte Keccak256 hash of the event signature (topic0), e.g.: 0xddf252ad1be2c89b69c2b068fc378daa952ba7f163c4a11628f55a4df523b3ef or a plain ABI event signature string, e.g.: Transfer(address,address,uint256)

Example:
window
string

Specifies time or block range for the query. The format can be a relative duration like 30d or 12h. Or interval of time 2025-08-20T00:00:00Z..2025-08-26T12:00:00Z. Or range of blocks 18000000..18000100.

sort_by
enum<string>
default:latest

Sort order for results.

Available options:
latest,
earliest
limit
integer
default:50

Maximum number of items to return.

Required range: 1 <= x <= 1000
cursor
string

Cursor for pagination to retrieve the next set of results.

Response

Successfully retrieved events.

events
object[]
required
next_cursor
string
Example:

"ICJkYXNkYXMifQ=="